don't exit on dfu-util errors, it's not reliable about reporting success
[fw/altos] / ao-bringup / turnon_telegps
index b6da2898bbaece3545bce832e5f32bda8f4e1017..48af692a2f9a02103f3a078105a63919ad144a77 100755 (executable)
@@ -1,12 +1,10 @@
 #!/bin/sh
 
-if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
-        FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
-elif [ -x /usr/bin/ao-flash-lpc ]; then
-        FLASH_LPC=/usr/bin/ao-flash-lpc
+if [ -x /usr/bin/dfu-util ]; then
+    DFU_UTIL=/usr/bin/dfu-util
 else
-        echo "Can't find ao-flash-lpc!  Aborting."
-        exit 1
+    echo "Can't find dfu-util! Aborting."
+    exit 1
 fi
 
 if [ -x /usr/bin/ao-usbload ]; then
@@ -17,16 +15,17 @@ else
 fi
 
 PRODUCT=TeleGPS
-VERSION=1.0
-BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
-echo $FILE
+VERSION=2.0
+REPO=~/altusmetrumllc/Binaries
+
+#BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+#echo $FILE
 
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2017 by Bdale Garbee.  Released under GPL v3+"
 echo
 echo "Expectations:"
-echo "\t$PRODUCT v$VERSION powered from USB"
-echo "\t\twith ST-Link-V2 cabled to debug header"
+echo "\t$PRODUCT v$VERSION powered from / attached to USB on this computer"
 echo
 
 case $# in
@@ -47,35 +46,31 @@ esac
 #
 # Use released versions of everything
 #
-FLASH_FILE=~/altusmetrumllc/Binaries/loaders/telegps-v1.0-altos-flash-*.elf
-ALTOS_FILE=~/altusmetrumllc/Binaries/telegps-v1.0-*.elf
-
-echo $FLASH_LPC $FLASH_FILE
+FLASH_FILE=$REPO/loaders/telegps-v2.0-altos-flash-*.bin
+ALTOS_FILE=$REPO/telegps-v2.0-*.elf
 
-$FLASH_LPC $FLASH_FILE || exit 1
+$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE 
 
 sleep 2
 
-echo $USBLOAD $ALTOS_FILE
-
 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
 
-sleep 2
+sleep 3
 
-dev=`ao-list | awk '/TeleGPS-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
 
 case "$dev" in
 /dev/tty*)
-        echo "TeleGPS found on $dev"
+        echo "$PRODUCT found on $dev"
         ;;
 *)
-        echo 'No TeleGPS-v'"$VERSION"' found'
+        echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
         exit 1
         ;;
 esac
 
 SERIAL=$SERIAL ./cal-freq $dev
 
-./test-telegps
+./test-telegps-v2
 
 exit $?